name    mswsock
type    win32
init    MSWSOCK_Init

import kernel32.dll
import ntdll.dll


debug_channels (mswsock)

@ stdcall AcceptEx( long long ptr long long long ptr ptr ) MSWSOCK_AcceptEx
@ stub EnumProtocolsA
@ stub EnumProtocolsW
@ stdcall GetAcceptExSockaddrs( ptr long long long ptr ptr ptr ptr ) MSWSOCK_GetAcceptExSockaddrs
@ stub GetAddressByNameA
@ stub GetAddressByNameW
@ stub GetNameByTypeA
@ stub GetNameByTypeW
@ stub GetServiceA
@ stub GetServiceW
@ stub GetTypeByNameA
@ stub GetTypeByNameW
@ stub MigrateWinsockConfiguration
@ stub NPLoadNameSpaces
@ stub SetServiceA
@ stub SetServiceW
@ stdcall TransmitFile( long ptr long long ptr ptr long ) MSWSOCK_TransmitFile
@ stdcall WSARecvEx( long long long long ) MSWSOCK_WSARecvEx
@ stub dn_expand
@ stub getnetbyname
@ stub inet_network
@ stub rcmd
@ stub rexec
@ stub rresvport
@ stub s_perror
@ stub sethostname
